Bug 1075296 (CVE-2014-1904) - CVE-2014-1904 Spring Framework: cross-site scripting flaw when using Spring MVC
Summary: CVE-2014-1904 Spring Framework: cross-site scripting flaw when using Spring MVC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-1904
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1079029 1079030 1247494 1247701 1247704
Blocks: 1075297
TreeView+ depends on / blocked
 
Reported: 2014-03-12 03:18 UTC by Murray McAllister
Modified: 2021-02-17 06:47 UTC (History)
30 users (show)

Fixed In Version: spring mvc 3.2.8, spring mvc 4.0.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-06 02:12:50 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0400 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss Fuse 6.1.0 update 2014-04-14 18:27:37 UTC
Red Hat Product Errata RHSA-2014:0401 0 normal SHIPPED_LIVE Moderate: Red Hat JBoss A-MQ 6.1.0 update 2014-04-14 18:07:26 UTC

Description Murray McAllister 2014-03-12 03:18:17 UTC
A cross-site scripting flaw was found in the Spring Framework when using Spring MVC. From the original advisory:

"When a programmer does not specify the action on the Spring form, Spring automatically populates the action field with the requested uri. An attacker can use this to inject malicious content into the form."

This issue affects versions 3.0.0 to 3.2.7*, and versions 4.0.0 to 4.0.1.

(the fix is present in version 3.2.8; this was incorrect in the gopivotal flaw - chazlett)

External References:

http://www.gopivotal.com/security/cve-2014-1904

Comment 3 Kurt Seifried 2014-03-20 20:17:19 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having Moderate security impact. OpenShift Enterprise 1 is currently in the Production 1 phase of its lifecycle, as such this issue is not currently planned to be addressed in future updates. For additional information, refer to the Satellite Life Cycle: https://access.redhat.com/site/support/policy/updates/openshift page.

Fuse ESB Enterprise is now in Maintenance Support phase receiving only qualified Important and Critical impact security fixes. This issue has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Fuse Product Life Cycle: https://access.redhat.com/support/policy/updates/fusesource/

Comment 4 Chess Hazlett 2014-04-15 02:37:21 UTC
This issue has been addressed in following products:

  Red Hat JBoss AM-Q 6.1.0

Via RHSA-2014:0401 https://rhn.redhat.com/errata/RHSA-2014-0401.html

Comment 5 Chess Hazlett 2014-04-15 02:40:27 UTC
This issue has been addressed in following products:

  Red Hat JBoss Fuse 6.1.0

Via RHSA-2014:0400 https://rhn.redhat.com/errata/RHSA-2014-0400.html

Comment 9 Jason Shepherd 2015-08-06 02:08:09 UTC
The use of spring web flow mitigates this vulnerability in rhev-m reports


Note You need to log in before you can comment on or make changes to this bug.